API documentation

Simple HTTP endpoints with JSON responses. IPv4, IPv6 and hostnames are supported.

Free single lookup

GET /json/{query}
GET /json/

curl https://ipee.pw/json/1.1.1.1
curl https://ipee.pw/json/
curl -H 'Accept: application/json' https://ipee.pw

Omit the query to resolve the requesting IP.

Authenticated lookup

GET /api/v1/lookup/{query}
X-API-Key: ipk_your_key

curl -H 'X-API-Key: ipk_...' \
  https://ipee.pw/api/v1/lookup/8.8.8.8

Batch lookup

POST /api/v1/batch
Content-Type: application/json
X-API-Key: ipk_your_key

["1.1.1.1", "8.8.8.8", "2606:4700:4700::1111"]

Field selection

GET /json/1.1.1.1?fields=status,country,countryCode,city,isp,as,asname,proxy,hosting,query

Response fields

FieldDescription
continent / continentCodeContinent name and code
country / countryCodeCountry name and ISO code
region / regionNameRegion code and name
city / district / zipLocality and postal information
lat / lonApproximate coordinates
timezone / offset / currencyTimezone, UTC seconds offset and currency
isp / orgNetwork provider and organization
as / asnameASN description and AS name
mobile / proxy / hostingClassification flags
queryResolved IP address